/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package sync4j.framework.engine;

/**
 * Represents a SyncBean property
 */
public class SyncProperty implements java.io.Serializable {
    
    // -------------------------------------------------------------- Properties
    
    /**
     * The property name
     */
    private String name = null;
    public String getName(){ 
        return this.name;
    }
    
    public void setName(String name){ 
        this.name = name; 
    }
    
    /**
     * The property type
     */
    private String type = null;
    public String getType(){ 
        return type; 
    }
    
    public void setType(String type){ 
        this.type = type; 
    }
    
    /**
     * Is the property a key?
     */
    private boolean key = false;
    public boolean isKey(){ 
        return key; 
    }

    /**
     * The property value
     */
    private Object value = null; 
    public Object getValue(){ 
        return value; 
    }

    public void setValue(Object value){ 
        this.value = value; 
    }
    
    // ------------------------------------------------------------- Contructors
    
    public SyncProperty(String name, Object value) {
        this(name, value, value.getClass().getName());
    }
    
    public  SyncProperty(String name, Object value, String type) {
        this.name  = name;
        this.value = value;
        this.type  = type;
    }
}