/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package sync4j.framework.engine.dm;

import java.util.Map;
import java.util.HashMap;
import java.util.Iterator;

/**
 * Base class for tree manipulation management commands such as Add, Replace,
 * Delete and so on.
 * <p>
 * These operations affect on or mode management nodes that in this simple
 * implementation are represented in a Map {key-value}. The key is the path
 * in the configuration tree.
 *
 * @author  Stefano Fornari @ Funambol
 *
 * @version $Id: TreeManagementOperation.java,v 1.1 2005/05/16 17:32:55 nichele Exp $
 */
public abstract class TreeManagementOperation 
extends ManagementOperation 
implements java.io.Serializable {
    
    // ------------------------------------------------------------ Private data
    
    private Map nodes;
    
    // ------------------------------------------------------------ constructors
    
    protected TreeManagementOperation() {
        nodes = new HashMap();
    }
    
    // ---------------------------------------------------------- Public methods
    
    /**
     * Returns the nodes property
     *
     * @return the nodes property
     */
    public Map getNodes() {
        return nodes;
    }
    
    /**
     * Set the nodes property
     *
     * @param newNodes the new values
     */
    public void setNodes(Map newNodes) {
        this.nodes = new HashMap();
        if (newNodes == null) {
            return;
        }
        
        nodes.putAll(newNodes);
    }
}