/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package sync4j.framework.server;

import sync4j.framework.core.SyncML;

/**
 *
 */
public interface SyncResponse extends java.io.Serializable {

    /**
     * Returns the response content.
     *
     * @return the response content.
     */
    public byte[] getMessage();

    /**
     * Returns the mime type of the response.
     *
     * @return the mime type of the response.
     */
    public String getMimeType();

    /**
     * Returns the hmac header to add to the trasport header.
     *
     * @return the hamc header. <code>null</code> if hmac header is not required.
     */
    public String getHMACHeader();

    /**
     * Is this message the last message allowed for the current session?
     *
     * @return true if yes, false otherwise
     *
     */
    public boolean isCompleted();
}