/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package sync4j.server.engine;

import sync4j.framework.core.ModificationCommand;
import sync4j.framework.core.StatusCode;
import sync4j.framework.engine.SyncOperation;
import sync4j.framework.engine.source.SyncSource;
import sync4j.server.engine.Sync4jOperationStatus;

/**
 * This class represents a SyncOperation excecuted without problems.
 *
 * @author  Stefano Fornari @ Funambol
 * @version $Id: Sync4jOperationStatusOK.java,v 1.1 2005/05/16 17:32:56 nichele Exp $
 */
public class Sync4jOperationStatusOK extends Sync4jOperationStatus {
    
    /**
     * The code identifying this condition
     */
    private int statusCode;
    
    /** Creates a new instance of Sync4jOperationStatus */
    public Sync4jOperationStatusOK(SyncOperation       operation , 
                                   SyncSource          syncSource,
                                   ModificationCommand cmd       ) {
        super(operation, syncSource);
        this.cmd = cmd;
        this.statusCode = StatusCode.OK;
    }
    
    public Sync4jOperationStatusOK(SyncOperation       operation , 
                                   SyncSource          syncSource,
                                   ModificationCommand cmd       ,
                                   int                 statusCode) {
        super(operation, syncSource);
        this.cmd = cmd;
        this.statusCode = statusCode;
    }
    

    /** Which SyncML status code this condition corresponds to?
     *
     */
    public int getStatusCode() {
        return statusCode;
    }
}